console.info('BLOCKS Spaceeeeeee')

events.listen('block.registry', function (e) {
    e.create('grease_of_pig_block').material('slime').hardness(0.8).displayName('Grease of Pig Block').harvestTool('pickaxe', 1)
    e.create('bronze_boiler_part').material('metal').hardness(1.5).displayName('Bronze Boiler Part').harvestTool('pickaxe', 2)
    e.create('stainless_steel_casing').material('metal').hardness(2.0).displayName('Stainless Steel Casing').harvestTool('pickaxe', 2).model('kubejs:block/stainless_steel_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('inscriber_casing').material('metal').hardness(2.0).displayName('Inscriber Casing').harvestTool('pickaxe', 2).model('kubejs:block/inscriber_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('chromite_ore').material('stone').hardness(2.5).displayName('Chromite Ore').harvestTool('pickaxe', 3)
    e.create('crafting_unit_casing').material('metal').hardness(2.0).displayName('Crafting Unit Casing').harvestTool('pickaxe', 2)
    e.create('crafting_co_processing_unit_casing').material('metal').hardness(2.0).displayName('Crafting Co-Processing Unit Casing').harvestTool('pickaxe', 2)
    e.create('wooden_reel').material('metal').hardness(2.0).displayName('Wooden Reel').harvestTool('axe', 2).model('kubejs:block/wooden_reel').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('wooden_reel_base').material('metal').hardness(2.0).displayName('Wooden Reel Base').harvestTool('axe', 2).model('kubejs:block/wooden_reel_base').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('lv_wire_coil_block').material('metal').hardness(2.0).displayName('LV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/lv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('mv_wire_coil_block').material('metal').hardness(2.0).displayName('MV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/mv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('hv_wire_coil_block').material('metal').hardness(2.0).displayName('HV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/hv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('steel_cable_coil_block').material('metal').hardness(2.0).displayName('Steel Cable Coil (Block)').harvestTool('axe', 2).model('kubejs:block/steel_cable_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('redstone_wire_coil_block').material('metal').hardness(2.0).displayName('Redstone Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/redstone_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('insulated_lv_wire_coil_block').material('metal').hardness(2.0).displayName('Insulated LV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/insulated_lv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('insulated_mv_wire_coil_block').material('metal').hardness(2.0).displayName('Insulated MV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/insulated_mv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('hemp_rope_coil_block').material('metal').hardness(2.0).displayName('Hemp Rope Coil (Block)').harvestTool('axe', 2).model('kubejs:block/hemp_rope_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('superconductor_coil_block').material('metal').hardness(2.0).displayName('Superconductor Coil (Block)').harvestTool('axe', 2).model('kubejs:block/superconductor_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('superconductor_coil').material('wood').hardness(3.0).displayName('Superconductor Coil').harvestTool('pickaxe', 3)
    e.create('concrete_armored').material('stone').hardness(2.0).displayName('Concrete Armored').harvestTool('pickaxe', 1)
    e.create('concrete_armored_formwork').material('wood').hardness(2.0).displayName('Concrete Armored Formwork').harvestTool('axe', 1).model('kubejs:block/concrete_armored_formwork').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('lignite_coke_block').material('stone').hardness(2.0).displayName('Lignite Coke Block').harvestTool('pickaxe', 1)
    e.create('anthracite_coke_block').material('stone').hardness(2.0).displayName('Anthracite coke Block').harvestTool('pickaxe', 1)
    e.create('blue_nether_quartz_ore').material('stone').hardness(1.5).displayName('Blue Nether Quartz Ore').harvestTool('pickaxe', 2)
    e.create('incomplete_refined_radiance_casing').material('metal').hardness(2.0).displayName('Refined Radiance Casing').harvestTool('pickaxe', 2).model('kubejs:block/incomplete_refined_radiance_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged().lightLevel(1.0)
    e.create('superconductor_block').material('stone').hardness(2.5).displayName('Superconductor Block').harvestTool('pickaxe', 3)
    e.create('weighted_storage_cube').material('metal').hardness(2.0).displayName('Weighted Storage Cube').harvestTool('pickaxe', 2).model('kubejs:block/weighted_storage_cube').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false)
    e.create('companion_cube').material('metal').hardness(2.0).displayName('Companion Cube').harvestTool('pickaxe', 2).model('kubejs:block/companion_cube').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false)
    e.create('weighted_storage_cube_casing').material('metal').hardness(2.0).displayName('Weighted Storage Cube Casing').harvestTool('pickaxe', 2).model('kubejs:block/weighted_storage_cube_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false)

    e.create('full_black_illuminant_block').material('stone').hardness(1.0).displayName('Full Black Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_blue_illuminant_block').material('stone').hardness(1.0).displayName('Full Blue Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_cyan_illuminant_block').material('stone').hardness(1.0).displayName('Full Cyan Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_green_illuminant_block').material('stone').hardness(1.0).displayName('Full Green Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_light_blue_illuminant_block').material('stone').hardness(1.0).displayName('Full Light Blue Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_lime_illuminant_block').material('stone').hardness(1.0).displayName('Full Lime Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_orange_illuminant_block').material('stone').hardness(1.0).displayName('Full Orange Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_pink_illuminant_block').material('stone').hardness(1.0).displayName('Full Pink Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_purple_illuminant_block').material('stone').hardness(1.0).displayName('Full Purple Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_red_illuminant_block').material('stone').hardness(1.0).displayName('Full Red Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_white_illuminant_block').material('stone').hardness(1.0).displayName('Full White Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)
    e.create('full_yellow_illuminant_block').material('stone').hardness(1.0).displayName('Full Yellow Illuminant Block').harvestTool('pickaxe', 2).lightLevel(0.6)

    e.create('black_iron_block').material('iron').hardness(1.0).displayName('Black Iron Block').harvestTool('pickaxe', 2)
    e.create('black_iron_block_small').material('iron').hardness(1.0).displayName('Black Iron Block Small').harvestTool('pickaxe', 2)
    e.create('black_iron_block_small_vertical').material('iron').hardness(1.0).displayName('Black Iron Block Small Vertical').harvestTool('pickaxe', 2)

    e.create('black_stained_glass').material('glass').hardness(1.0).displayName('Black Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('blue_stained_glass').material('glass').hardness(1.0).displayName('Blue Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('cyan_stained_glass').material('glass').hardness(1.0).displayName('Cyan Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('green_stained_glass').material('glass').hardness(1.0).displayName('Green Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('yellow_stained_glass').material('glass').hardness(1.0).displayName('Yellow Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('gray_stained_glass').material('glass').hardness(1.0).displayName('Gray Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('light_blue_stained_glass').material('glass').hardness(1.0).displayName('Light Blue Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('lime_stained_glass').material('glass').hardness(1.0).displayName('Lime Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('magenta_stained_glass').material('glass').hardness(1.0).displayName('Magenta Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('orange_stained_glass').material('glass').hardness(1.0).displayName('Orange Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('pink_stained_glass').material('glass').hardness(1.0).displayName('Pink Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('purple_stained_glass').material('glass').hardness(1.0).displayName('Purple Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('red_stained_glass').material('glass').hardness(1.0).displayName('Red Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()
    e.create('white_stained_glass').material('glass').hardness(1.0).displayName('White Stained Glass (Smooth)').harvestTool('pickaxe', 2).renderType('translucent').defaultTranslucent()


    e.create('concrete_1').material('stone').hardness(1.5).displayName('Concrete (1)').harvestTool('pickaxe', 1)
    e.create('concrete_2').material('stone').hardness(1.5).displayName('Concrete (2)').harvestTool('pickaxe', 1)
    e.create('concrete_3').material('stone').hardness(1.5).displayName('Concrete (3)').harvestTool('pickaxe', 1)
    e.create('concrete_4').material('stone').hardness(1.5).displayName('Concrete (4)').harvestTool('pickaxe', 1)
    e.create('concrete_5').material('stone').hardness(1.5).displayName('Concrete (5)').harvestTool('pickaxe', 1)
    e.create('concrete_5_v').material('stone').hardness(1.5).displayName('Concrete (5) (Vertical)').harvestTool('pickaxe', 1)
    e.create('concrete_6').material('stone').hardness(1.5).displayName('Concrete (6)').harvestTool('pickaxe', 1)
    e.create('concrete_6_v').material('stone').hardness(1.5).displayName('Concrete (6) (Vertical)').harvestTool('pickaxe', 1)
    e.create('concrete_7').material('stone').hardness(1.5).displayName('Concrete (7)').harvestTool('pickaxe', 1)
    e.create('concrete_8').material('stone').hardness(1.5).displayName('Concrete (8)').harvestTool('pickaxe', 1)
    e.create('concrete_bricks_9').material('stone').hardness(1.5).displayName('Concrete Bricks (9)').harvestTool('pickaxe', 1)
    e.create('concrete_bricks_2_9').material('stone').hardness(1.5).displayName('Concrete Bricks (9)').harvestTool('pickaxe', 1)
    e.create('concrete_bricks_10_h').material('stone').hardness(1.5).displayName('Concrete Bricks (10)').harvestTool('pickaxe', 1)
    e.create('concrete_pillar_10').material('stone').hardness(1.5).displayName('Concrete Pillar (10)').harvestTool('pickaxe', 1)
    e.create('concrete_pillar_10_h').material('stone').hardness(1.5).displayName('Concrete Pillar (10) (Horizontal)').harvestTool('pickaxe', 1)
    e.create('concrete_11').material('stone').hardness(1.5).displayName('Concrete (11)').harvestTool('pickaxe', 1)
    e.create('concrete_12').material('stone').hardness(1.5).displayName('Concrete (12)').harvestTool('pickaxe', 1)
    e.create('concrete_13').material('stone').hardness(1.5).displayName('Concrete (13)').harvestTool('pickaxe', 1)
    e.create('dark_brick').material('stone').hardness(1.5).displayName('Dark Brick').harvestTool('pickaxe', 1)
    e.create('gray_bricks_1').material('stone').hardness(1.5).displayName('Gray Bricks (1)').harvestTool('pickaxe', 1)
    e.create('gray_bricks_2').material('stone').hardness(1.5).displayName('Gray Bricks (2)').harvestTool('pickaxe', 1)
    e.create('dark_steel_wall').material('iron').hardness(1.5).displayName('Dark Steel Wall').harvestTool('pickaxe', 2)
    e.create('dirty_bricks_1').material('stone').hardness(1.5).displayName('Dirty Bricks (1)').harvestTool('pickaxe', 1)
    e.create('dirty_bricks_2').material('stone').hardness(1.5).displayName('Dirty Bricks (2)').harvestTool('pickaxe', 1)
    e.create('dirty_bricks_3').material('stone').hardness(1.5).displayName('Dirty Bricks (3)').harvestTool('pickaxe', 1)
    e.create('dirty_concrete_1').material('stone').hardness(1.5).displayName('Dirty Concrete (1)').harvestTool('pickaxe', 1)
    e.create('dirty_concrete_8').material('stone').hardness(1.5).displayName('Dirty Concrete (8)').harvestTool('pickaxe', 1)
    e.create('polished_concrete_9').material('stone').hardness(1.5).displayName('Polished Concrete (9)').harvestTool('pickaxe', 1)
    e.create('polished_concrete_10').material('stone').hardness(1.5).displayName('Polished Concrete (10)').harvestTool('pickaxe', 1)
    e.create('refractory_bricks').material('stone').hardness(1.5).displayName('Refractory Bricks').harvestTool('pickaxe', 1)
    e.create('refractory_bricks_v').material('stone').hardness(1.5).displayName('Refractory Bricks (Vertical)').harvestTool('pickaxe', 1)
    e.create('reinforced_concrete_pillar').material('stone').hardness(1.5).displayName('Reinforced Concrete Pillar').harvestTool('pickaxe', 1)
    e.create('rusty_steel_sheet').material('iron').hardness(1.5).displayName('Rusty Steel Sheet').harvestTool('pickaxe', 2)
    e.create('smooth_aluminium').material('iron').hardness(1.5).displayName('Smooth Aluminium').harvestTool('pickaxe', 2)
    e.create('smooth_concrete_9').material('stone').hardness(1.5).displayName('Smooth Concrete (9)').harvestTool('pickaxe', 1)
    e.create('smooth_concrete_10').material('stone').hardness(1.5).displayName('Smooth Concrete (10)').harvestTool('pickaxe', 1)
    e.create('smooth_dark_steel_block_2').material('iron').hardness(1.5).displayName('Smooth Dark Steel (2)').harvestTool('pickaxe', 2)
    e.create('smooth_dark_steel_block_1').material('iron').hardness(1.5).displayName('Smooth Dark Steel (1)').harvestTool('pickaxe', 2)
    e.create('smooth_steel_block_2').material('iron').hardness(1.5).displayName('Smooth Steel Block (2)').harvestTool('pickaxe', 2)
    e.create('smooth_steel_block_1').material('iron').hardness(1.5).displayName('Smooth Steel Block (1)').harvestTool('pickaxe', 2)

})